Page({
    data: {
        banner: [],
        selectIndex: 0
    },
    onLoad: function(n) {},
    onReady: function() {},
    onShow: function() {},
    onHide: function() {},
    onUnload: function() {},
    onPullDownRefresh: function() {},
    onReachBottom: function() {},
    onShareAppMessage: function() {},
    selectItem: function(n) {
        this.setData({
            selectIndex: n.currentTarget.dataset.index
        });
    }
});